Skip to main content

HTTP API reference › Gala Launchpad › cache-management

Gala Launchpad — cache-management

5 operations in this group.

DELETE /v1/cache/flush/address/{address}​

CacheManagementController_flushByAddress

Flush cache by address

Flush all cache entries associated with a wallet address (admin/overseer only)

Authentication: apiKeyAuth, bearer

Parameters​

NameInRequiredTypeDescription
addresspathrequiredWallet address to flush cache for

Responses​

200 — Cache flushed successfully​

Content type: application/json

Schema: FlushResultDto

FieldTypeRequiredDescription
durationnumberyesDuration of the flush operation in milliseconds
flushedCountnumberyesNumber of cache keys flushed
targetstringnoTarget entity that was flushed (address or tokenName)

400 — Bad request - invalid address​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

401 — Unauthorized - missing or invalid authentication​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

403 — Forbidden - user is not admin or overseer​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

500 — Internal server error - cache flush failed​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example response​

[]

DELETE /v1/cache/flush/all​

CacheManagementController_flushAll

Flush all cache

Flush ALL Launchpad cache entries. NUCLEAR OPTION - requires confirm=true query parameter (admin/overseer only)

Authentication: apiKeyAuth, bearer

Parameters​

NameInRequiredTypeDescription
confirmqueryrequiredbooleanSafety confirmation - must be true

Responses​

200 — All cache flushed successfully​

Content type: application/json

Schema: FlushResultDto

FieldTypeRequiredDescription
durationnumberyesDuration of the flush operation in milliseconds
flushedCountnumberyesNumber of cache keys flushed
targetstringnoTarget entity that was flushed (address or tokenName)

400 — Bad request - confirm=true required​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

401 — Unauthorized - missing or invalid authentication​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

403 — Forbidden - user is not admin or overseer​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

500 — Internal server error - cache flush failed​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example response​

[]

DELETE /v1/cache/flush/token/&#123;tokenName&#125;​

CacheManagementController_flushByToken

Flush cache by token

Flush all cache entries associated with a token name (admin/overseer only)

Authentication: apiKeyAuth, bearer

Parameters​

NameInRequiredTypeDescription
tokenNamepathrequiredToken name to flush cache for

Responses​

200 — Cache flushed successfully​

Content type: application/json

Schema: FlushResultDto

FieldTypeRequiredDescription
durationnumberyesDuration of the flush operation in milliseconds
flushedCountnumberyesNumber of cache keys flushed
targetstringnoTarget entity that was flushed (address or tokenName)

400 — Bad request - invalid token name​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

401 — Unauthorized - missing or invalid authentication​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

403 — Forbidden - user is not admin or overseer​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

500 — Internal server error - cache flush failed​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example response​

[]

DELETE /v1/cache/flush/wallet-aliases​

CacheManagementController_flushAllWalletAliases

Flush all wallet-alias cache entries

Flush ALL cached wallet alias entries (eth| → client| resolution). Requires confirm=true (admin/overseer only)

Authentication: apiKeyAuth, bearer

Parameters​

NameInRequiredTypeDescription
confirmqueryrequiredbooleanSafety confirmation - must be true

Responses​

200 — Cache flushed successfully​

Content type: application/json

Schema: FlushResultDto

FieldTypeRequiredDescription
durationnumberyesDuration of the flush operation in milliseconds
flushedCountnumberyesNumber of cache keys flushed
targetstringnoTarget entity that was flushed (address or tokenName)

400 — Bad request - confirm=true required​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

401 — Unauthorized - missing or invalid authentication​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

403 — Forbidden - user is not admin or overseer​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

500 — Internal server error - cache flush failed​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example response​

[]

DELETE /v1/cache/flush/wallet-aliases/&#123;address&#125;​

CacheManagementController_flushWalletAliasByAddress

Flush wallet-alias cache for an address

Flush the cached wallet alias (eth| → client| resolution) for a specific address (admin/overseer only)

Authentication: apiKeyAuth, bearer

Parameters​

NameInRequiredTypeDescription
addresspathrequiredWallet address to flush alias cache for

Responses​

200 — Cache flushed successfully​

Content type: application/json

Schema: FlushResultDto

FieldTypeRequiredDescription
durationnumberyesDuration of the flush operation in milliseconds
flushedCountnumberyesNumber of cache keys flushed
targetstringnoTarget entity that was flushed (address or tokenName)

400 — Bad request - invalid address​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

401 — Unauthorized - missing or invalid authentication​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

403 — Forbidden - user is not admin or overseer​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

500 — Internal server error - cache flush failed​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example response​

[]

Previous group: api-keys · Next group: Chart